Get Delivery
GET
https://api.cargopanel.co/v1/webhook-deliveries/:idGet a single delivery, including the exact payload that was (or will be) sent and the last response from your endpoint (responseBody is truncated to 2048 characters).
Path Parameters
idstringrequiredDelivery ID.
Example Response
200
{
"success": true,
"data": {
"id": "whd_a1b2c3d4e5f6g7h8i9j0k1l2",
"eventId": "evt_5f2b9c1d7a3e4b6f8a0c2d1e",
"webhookId": "wh_k3j9x2m1q8w7e6r5t4y3u2i1",
"subscriptionId": "wh_k3j9x2m1q8w7e6r5t4y3u2i1",
"userId": "usr_xyz789",
"event": "shipment.measurement.adjusted",
"url": "https://example.com/webhooks/cargopanel",
"status": "pending",
"attempts": 1,
"lastAttemptAt": "2026-11-10T10:30:02.000Z",
"nextRetryAt": "2026-11-10T10:31:02.000Z",
"responseStatus": 503,
"responseBody": "Service Unavailable",
"error": "HTTP 503",
"createdAt": "2026-11-10T10:30:01.000Z",
"updatedAt": "2026-11-10T10:30:02.000Z",
"payload": {
"event": "shipment.measurement.adjusted",
"eventId": "evt_5f2b9c1d7a3e4b6f8a0c2d1e",
"createdAt": "2026-11-10T10:30:00.000Z",
"data": {
"...": "..."
}
}
}
}Responses
200Delivery returned
401Unauthorized (invalid or missing token)
404Delivery not found